Page MenuHomePhabricator

[analyzer] ConditionBRVisitor: Remove duplicated code
ClosedPublic

Authored by Charusso on Feb 13 2019, 11:41 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Charusso created this revision.Feb 13 2019, 11:41 AM
Charusso updated this revision to Diff 186733.Feb 13 2019, 1:43 PM
  • return nullptr if no value print happened.
include/clang/StaticAnalyzer/Core/BugReporter/BugReporterVisitors.h
216 ↗(On Diff #186733)

Please add a doxygen comment describing semantics and return value.

Charusso updated this revision to Diff 187397.Feb 19 2019, 9:43 AM
  • Added doxygen comment.
Charusso updated this revision to Diff 187398.Feb 19 2019, 9:43 AM
Charusso marked an inline comment as done.

...properly.

NoQ accepted this revision.Mar 7 2019, 2:27 PM

Looks great, thanks!

This revision is now accepted and ready to land.Mar 7 2019, 2:27 PM
Charusso updated this revision to Diff 189922.Mar 8 2019, 1:55 PM
Charusso retitled this revision from [analyzer] Remove duplicated code from ConditionBRVisitor to [analyzer] ConditionBRVisitor: remove duplicated code.
  • Rebased
Charusso updated this revision to Diff 195072.Apr 14 2019, 9:03 AM
Charusso retitled this revision from [analyzer] ConditionBRVisitor: remove duplicated code to [analyzer] ConditionBRVisitor: Remove duplicated code.
  • Rebased
Charusso set the repository for this revision to rC Clang.Wed, May 29, 1:12 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptWed, May 29, 1:16 PM